%define upstream_name    namespace-autoclean
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Keep imports out of your namespace 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/namespace/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(Class::MOP) >= 0.800.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(namespace::clean)
Provides:   perl(namespace::autoclean)

%description
When you import a function into a Perl package, it will naturally also be
available as a method.

The 'namespace::autoclean' pragma will remove all imported symbols at the
end of the current package's compile cycle. Functions called in the package
itself will still be bound by their name, but they won't show up as methods
on your class or instances.

This module is very similar to namespace::clean, except it will clean all
imported functions, no matter if you imported them before or after you
'use'd the pagma. It will also not touch anything that looks like a method,
according to 'Class::MOP::Class::get_method_list'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 540673
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 494209
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 375521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.13

* Sat Jun 11 2011 spuhler <spuhler> 0.120.0-2.mga2
+ Revision: 103970
- increase rel for rebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 52226
- update to 0.12

* Tue Jan 25 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 38505
- mageia rebuild
- imported package perl-namespace-autoclean

